DNF5-DISTRO-SYNC(8)

NAME
dnf5-distro-sync - Distro-Sync Command

SYNOPSIS

dnf5 distro-sync [options] [<package-spec-NPFB>...]

DESCRIPTION

The distro-sync command in DNF5 serves to synchronize the installed packages with their latest available version from any enabled repository. It upgrades, downgrades or keeps packages as needed.

Optional <package-spec-NPFB> arguments could be passed to select only specific packages to be synced.

OPTIONS

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --skip-broken
        Resolve any dependency problems by removing packages that are causing problems from the transaction.

    --skip-unavailable
        Allow skipping packages that are not possible to synchronize. All remaining packages will be synchronized.

    --installed-from-repo=REPO_ID,...
        Filters installed packages by the ID of the repository they were installed from.

    --from-repo=REPO_ID,...
        Packages (or their provides) explicitly specified on the command line will only be looked up in the specified repositories.
        These repositories are automatically enabled.
        Repository enabling and disabling still applies. Dependencies of these packages will be resolved from any enabled repository.

    --from-vendor=VENDOR,...
        List of vendors separated by commas or spaces. Globs are supported (e.g., --from-vendor='Fedora\ project, vendorA, vendorB*, vendorC').
        Packages (or their provides) explicitly specified on the command line will only be looked up from the specified vendors.
        The vendor change check is bypassed for these packages.
        The vendor is ignored or vendor change policies (if allow_vendor_change=0) will still be used for packages that satisfy dependencies.

    --downloadonly
        Download the resolved package set without executing an RPM transaction.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

EXAMPLES

    dnf5 distro-sync
        Sync the whole system to the latest available version of packages.

    dnf5 distro-sync vim
        Sync the vim package to the latest available version.

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.